.root {
  --bg-color: var(--color-сurious-blue);

  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 22px;

  padding: 15px 20px;
  max-width: 375px;
  width: 100%;
  height: 100px;

  font-family: var(--font-family-poppins);
  font-weight: 600;
  font-size: 20px;
  line-height: 36px;
  text-decoration: none;
  color: var(--color-white);
  background-color: var(--bg-color);
}

.root::after {
  content: "";
  width: 141px;
  height: 11px;
  color: var(--color-white);
  background-image: url('~assets/images/arrow-right.svg');
  background-repeat: no-repeat;
  background-position: 0 0;
  background-size: cover;
  transition: all 0.3s ease-out;
}

@media (min-width: 576px) {
  .root {
    height: 112px;
  }
}

@media (min-width: 768px) {
  .root {
    width: 390px;
    height: 124px;
  }
}

@media (min-width: 992px) {
  .root {
    width: 410px;
    height: 136px;
  }
}

@media (min-width: 1200px) {
  .root {
    width: 430px;
    height: 148px;
  }
}

@media (min-width: 1400px) {
  .root {
    width: 450px;
    min-height: 160px;
  }
}

.root:hover::after {
  transform: translateX(10%);
}
